/*GLOBAL RESETS***********************************************/

html, body {
	background-color: black; 
}

header {
	background-color: black; 
	color:white;
	background-image: url("../images/black_100x100px.png");	
}

header a {
	color:white;
}

a:hover {
	color: black;
}

#content {
	background-color: black; 
	color:white;	
	padding: 0% 0% 0% 0%;
	padding-top: 5vh;
	display: flex;
	align-content: center;
	align-items: center;
	margin: 0px 0px 0px 0px;
	z-index: 3; -webkit-z-index: 3; -moz-z-index: 3; -o-z-index: 3;
}

#content_display {
	background-color: black; 
	color:white;	
	display: flex;
	align-content: center;
	align-items: center;
	width: fit-content;
}

#footer {
	background-color: black;
	color: white;
	padding-top: 10vh;
	margin: 0px;
	z-index: -1; -webkit-z-index: -1; -moz-z-index: -1; -o-z-index: -1;
}

.footer_links a {
	color: white;
}

.footer_links {
	display: none;
}

.footer_banner a img {
	opacity: 0;
}

.footer_banner {
	width: 100%;
	background-image: url("../images/logo_belimedo_wOnB_3240x500.png");
	background-position: center center;
	background-size: cover;
	background-repeat: no-repeat;
}

/*NFT GALLERY*************************************************/

#nft_gallery {
	position: relative;
	width: fit-content;
	height: fit-content;
	margin-left: auto;
	margin-right: auto;
	background-color: black; 
	padding: 0px 0px 0px 0px;
	display: flex;
	align-items: center;
}

#nft_gallery_background {
	height: 90vh;
	/*max-height: 90vh;*/
	width: 50.625vh;
	/*width: fit-content;*/
	margin: 0px;
	padding: 0px;
	background-image: url("../images_mockup/background_gallery_06_preload.png");
	background-position: center center;
	background-size: cover;
	background-repeat: no-repeat;
}

#nft_gallery_background img {
	/*max-width: 100%;*/
	max-height: 90vh;
	margin: 0px;
	padding: 0px;
}

#nft_gallery_item {
/*	position: absolute;
	z-index: 99; -webkit-z-index: 99; -moz-z-index: 99; -o-z-index: 99;
	top: 35%;*/
/*	max-width:50%;
	max-height:50%;*/
	max-height: 36vh;
	max-width: 36vh;
	width: fit-content;
	height: fit-content;
/*	max-width:780px;*/
	background-color: black;
/*  align-items: center;
    left: auto;
    right: auto;
	padding: 0px 0px 0px 0px;*/

	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 191; -webkit-z-index: 191; -moz-z-index: 191; -o-z-index: 191;

	transition: all 0.25s ease-out 0s;
	-webkit-transition: all 0.25s ease-out 0s;
	-moz-transition: all 0.25s ease-out 0s;
	-o-transition: all 0.25s ease-out 0s;
}

#nft_gallery_item .canvas {
	position: relative;
	height: 10vh;
	width: fit-content;
	height: fit-content;
	margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    /*box-shadow: none|h-offset v-offset blur spread color |inset|initial|inherit;*/
    box-shadow: 0px 2px 3px 3px #777777;
    -webkit-box-shadow: 0px 2px 3px 3px #777777;
    -moz-box-shadow: 0px 2px 3px 3px #777777;
    -o-box-shadow: 0px 2px 3px 3px #777777;
}

#nft_gallery_item .canvas img {
	height: auto;
	width: auto;
	max-height: 30vh;
	max-width: 30vh;
	margin: 0px 0px 0px 0px;
	padding: 0px 0px 0px 0px;
	display: inline-block;
	vertical-align: bottom;
}

#nft_gallery_item .canvas video {
	height: auto;
	width: auto;
	max-height: 36vh;
	max-width: 36vh;
	margin: 0px 0px 0px 0px;
	padding: 0px 0px 0px 0px;
	display: inline-block;
	vertical-align: bottom;
}

#nft_gallery_item img.portrait {
/*	max-height: 20%;
	width: auto;*/
}

#nft_gallery_item img.landscape {
/*	max-width: 20%;
	width: auto;*/
}

#nft_gallery_item_pad{
	position: absolute;	
	width: 2vh;
	height: 3vh;
/*	width: fit-content;
	height: fit-content;*/
	top: 63%;
	left: 90%;
	transform: translate(-63%, -90%);
	z-index: 197; -webkit-z-index: 197; -moz-z-index: 197; -o-z-index: 197;
	background-color: rgba(247, 247, 247, 0.23);
/*	padding: 0.25vh;
	line-height: 0.10vh;*/
	color: black;	
	box-shadow: 0px 1px 2px 2px #999999;
    -webkit-box-shadow: 0px 1px 2px 2px #999999;
    -moz-box-shadow: 0px 1px 2px 2px #999999;
    -o-box-shadow: 0px 1px 2px 2px #999999;
}

#nft_gallery_item_pad h2 {
	font-size: 0.35vh;
	line-height: 0.30vh;
	margin: 0vh;
	margin-top: 0.5vh;
	margin-bottom: 0.6vh;
}

#nft_gallery_item_pad p {
	font-size: 0.30vh;
	line-height: 0.15vh;
	margin-bottom: 0.30vh;
}

#nft_gallery_item_pad {
	overflow: hidden;
}

#nft_gallery_item_pad:hover {	
	/*overflow: visible;*/
	border: solid 1px lightseagreen;
}

#nft_gallery_item_pad_details {
	margin-top: -47.5vh;
	/*margin-left: 2vh;*/
	margin-left: -39vh;
	padding: 1vh 5vh 1vh 5vh;
	width: 29vh;
	min-height: 73vh;
	height: fit-content;
	overflow: auto;
	background-color: rgba(0, 0, 0, 0.75);
	color: white;
	font-size: 1.75vh;
	display: flex;
	align-items: center;
	align-content: center;
}

#nft_gallery_item_pad_details_inner {
	display: block;
}

#nft_gallery_item_pad_details .nftT {
	font-size: 2.3vh;
	font-weight: bold;
	margin-bottom: 1.5vh;
	text-align: left;
}

#nft_gallery_item_pad_details .nftY {
	font-size: 1.85vh;
	font-weight: bold;
}

#nft_gallery_item_pad_details .nftA {
	font-size: 2.15vh;
	font-weight: bold;
	margin-bottom: 1.5vh;
}

#nft_gallery_item_pad_details .nftD {
	margin-bottom: 1.5vh;
}

#nft_gallery_item_pad_details .nftH {
}

#nft_gallery_item_pad_details .nftH a {
	height: 2.5vh;
	font-size: 1.5vh;
	text-decoration: underline;
	font-weight: bold;
	color: lightskyblue;
}

#nft_gallery_item_pad_details .nftH a img {
	height: 2.3vh;
	display: inline-block;
	vertical-align: middle;
}


#nft_gallery_item_pad_details table {
	margin-top: 1.5vh;
	margin-bottom: 1.5vh;
	width: 100%;
}

#nft_gallery_item_pad_details table td.k {
	text-align: left;
}

#nft_gallery_item_pad_details table td.v {
	text-align: right;
	font-weight: bold;
}

/*NFT GALLERY CONTROLS************************/

#nft_gallery_controls {
	position: absolute;
	bottom: 0px;
	left: auto;
	width: 100%;
	height: 7.25vh;
/*	background-color: yellow;*/
	/*top: calc(100% - 9vh);*/
	left: 0%;
	z-index: 197; -webkit-z-index: 197; -moz-z-index: 197; -o-z-index: 197;
	display: flex;
	flex-direction: row;
	align-items: center;
	align-content: space-around;
}

#nft_gallery_controls div {
/*	display: flex;
	margin-left: auto;
	margin-right: auto;*/
/*	width: 6vh;*/
	height: 7.25vh;
/*	background-color: rgba(0, 0, 0, 0.19);
	background-size: cover;
	background-repeat: none;
	background-position: center;
	border-radius: 3vh 3vh 3vh 3vh;
	opacity: 0.23;*/
}

#nft_gallery_controls .button:hover {
	opacity: 0.41;
	transition: all 0s 0s;
	-webkit-transition: all 0s 0s;
	-moz-transition: all 0s 0s;
	-o-transition: all 0s 0s;
}

.nft_gallery_controls_button {

}

.nft_gallery_controls_button_left {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 17.25vh;
	height: 7.25vh;
	background-image: url("../images/buttonNFTBackOff.png");
	background-position: left top;
	background-size: cover;
	z-index: 197; -webkit-z-index: 197; -moz-z-index: 197; -o-z-index: 197;
}

.nft_gallery_controls_button_left:hover {
	background-image: url("../images/buttonNFTBackOn.png");
}

.nft_gallery_controls_button_right {
	position: absolute;
	top: 0px;
	right: 0px;
	width: 17.25vh;
	height: 7.25vh;
	background-image: url("../images/buttonNFTForwardOff.png");
	background-position: right top;
	background-size: cover;
	z-index: 197; -webkit-z-index: 197; -moz-z-index: 197; -o-z-index: 197;
}

.nft_gallery_controls_button_right:hover {
	background-image: url("../images/buttonNFTForwardOn.png");
}

.nft_gallery_controls_button_info {
	background-image: url("../images_mockup/icon_info_64px.png");
	display: none;
	opacity: 0;
}

#nft_gallery_item_progress_bar {
	position: absolute;
	top: 74.25vh;
	left: 6.35vh;
	height: 1vh;
	width: 37vh;
}

#nft_gallery_item_progress_fill {
	position: absolute;
	top: 0px;
	left: 0px;
	height: 100%;
	width: 0%;
	background-color: sandybrown;
	background-color: white;
	opacity: 0.31;
	transition: none;
	-webkit-transition: none;
	-moz-transition: none;
	-o-transition: none;

}

#nft_gallery_controls_report {
	position: relative;
	margin-top: 0px;
	padding-top: 0vh;
	height: fit-content;
	min-width: 10vh;
	width: fit-content;
	margin-left: auto;
	margin-right: auto;
	background-color: none;
	color: sandybrown;
	opacity: 0.71;
	font-size: 1vh;
	text-align: center;
	vertical-align: middle;
}

#nft_gallery_item_selector {
	position: absolute;
	top: 75.30vh;
	left: 6.35vh;
	min-height: 3.5vh;
	min-width: 6vh;
	height: 3.5vh;
	width: 37vh;
	/*background-color: rgba(0, 0, 0, 0.3);*/
	/*background-color: lightsteelblue;*/
	z-index: 201; -webkit-z-index: 201; -moz-z-index: 201; -o-z-index: 201;
	display: flex;
	opacity: 0.1;
}

#nft_gallery_item_selector:hover {
	opacity: 1;
}


#nft_gallery_item_selector_outer {
	position: relative;
	width: 100%;
	height: 100%;
    display: flex;
	flex-direction: row;
	align-content: center;
	overflow: scroll;
	/*background-color: lightpink;*/
	overflow: hidden;
	/*min-height: 117px;*/
}

#nft_gallery_item_selector_inner {
	width: 93%;
	margin-left: auto;
	margin-right: auto;
	height: 100%;
	/*min-height: 117px;*/
	padding: 0px;
	display: flex;
	flex-direction: row;
	position: absolute;
	overflow-x: scroll;
	bottom: 0px;
	left: 4%;
	background-color: rgba(255, 255, 255, 0.3);
	vertical-align: bottom;
}

#nft_gallery_item_selector_inner div {
	min-width: 5vh;
	width: fit-content;
	margin-left: 1vh;
	margin-right: 1vh;
	bottom: 0px;
}

#nft_gallery_item_selector_inner img {
	position: absolute;
	height: 4vh;
	bottom: 0.5vh;
	opacity: 0.5;
}

#nft_gallery_item_selector_outer::-webkit-scrollbar { display: none; }
#nft_gallery_item_selector_outer::-moz-scrollbar { display: none; }
#nft_gallery_item_selector_outer::-o-scrollbar { display: none; }
#nft_gallery_item_selector_outer::scrollbar { display: none; }

#nft_gallery_item_selector_inner::-webkit-scrollbar { display: none; }
#nft_gallery_item_selector_inner::-moz-scrollbar { display: none; }
#nft_gallery_item_selector_inner::-o-scrollbar { display: none; }
#nft_gallery_item_selector_inner::scrollbar { display: none; }

/*NFT GALLERY WALL************************/

#nft_gallery_wall {
	height: 90vh;
	width: 50vh;
/*	width: fit-content;
	height: fit-content;*/
	background-color: black;
	position: absolute;
	top: 0px;
	left: -50vh;
	/*transform: translate(-50%, -90%);*/
	z-index: 197; -webkit-z-index: 197; -moz-z-index: 197; -o-z-index: 197;
}

/*NFT BACKGROUND IMAGE CREDIT************************/

#nft_gallery_background_image_credit {
	position: absolute;
	top: 90vh;
	right: 7px;
	z-index: 23; -webkit-z-index: 23; -moz-z-index: 23; -o-z-index: 23;
	width: calc(100% - 7px);
	font-size: 7px;
	color: #333333;
	text-align: right;
}

#nft_gallery_background_image_credit a.credit:link, a.credit:active, a.credit:visited {
	color: #333333;
	text-decoration: none;
	font-size: 0.75vh;
	font-weight: bold;
}

#nft_gallery_background_image_credit a.credit:hover {
	color: #999999;
	text-decoration: underline;
}

/*ADJUSTMENTS************************/

@media only screen and (min-width: 762px) {
	#nft_gallery_item_pad_details {
		font-size: 1.5vh;
	}

	#nft_gallery_item_pad_details .nftT {
		font-size: 2.1vh;
	}

	#nft_gallery_item_pad_details .nftY {
		font-size: 1.55vh;
	}

	#nft_gallery_item_pad_details .nftA {
		font-size: 1.90vh;
	}		
}
